New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Set minimum perl version explicitly #3

Merged
merged 1 commit into from Nov 2, 2017

Conversation

Projects
None yet
2 participants
@paultcochrane
Contributor

paultcochrane commented Nov 2, 2017

This change makes the dist satisfy the
meta_yml_declares_perl_version
CPANTS requirement. The minimum version was found via the perlver
script of the Perl::MinimumVersion module.

This PR is submitted in the hope that it is useful. If you have any questions or comments, please just let me know. Also, if you want anything changed, I'm happy to update the PR and resubmit.

Set minimum perl version explicitly
This change makes the dist satisfy the
[meta_yml_declares_perl_version](https://cpants.cpanauthors.org/kwalitee/meta_yml_declares_perl_version)
CPANTS requirement.  The minimum version was found via the `perlver`
script of the `Perl::MinimumVersion` module.

@preaction preaction merged commit 9c4c69e into preaction:master Nov 2, 2017

@preaction

This comment has been minimized.

Show comment
Hide comment
@preaction

preaction Nov 2, 2017

Owner

They already can't install Minion/Mojolicious without a certain version of Perl, but it's better to be explicit. Thanks!

Owner

preaction commented Nov 2, 2017

They already can't install Minion/Mojolicious without a certain version of Perl, but it's better to be explicit. Thanks!

preaction added a commit that referenced this pull request Nov 2, 2017

release v0.09
  [Added]

  - Added initial Travis CI configuration. Thanks @paultcochrane!
    (Github #5)

  [Fixed]

  - Fixed missing test prereqs as requested by CPANTS. Thanks
    @paultcochrane! (Github #4)
  - Added an explicit Perl version declaration as requested by CPANTS.
    Thanks @paultcochrane! (Github #3)
  - Fixed links to Travis and Coveralls badges. Thanks @paultcochrane
    (Github #2)

@paultcochrane paultcochrane deleted the paultcochrane:pr/set-perl-minimum-version branch Nov 2, 2017

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment